]> git.zerfleddert.de Git - m1-debian/commitdiff
Merge branch 'master' of 88.198.237.222:/git/m1-debian
authorThomas Glanzmann <thomas@glanzmann.de>
Thu, 27 Oct 2022 16:42:42 +0000 (18:42 +0200)
committerThomas Glanzmann <thomas@glanzmann.de>
Thu, 27 Oct 2022 16:42:42 +0000 (18:42 +0200)
bootstrap.sh [changed mode: 0644->0755]
gpu.sh

old mode 100644 (file)
new mode 100755 (executable)
index f5a5aa7..0dfe714
@@ -1,9 +1,13 @@
-#!/bin/bash
+#!/usr/bin/env bash
 
 # SPDX-License-Identifier: MIT
 
-set -x
-set -e
+set -o errexit
+set -o nounset
+set -o pipefail
+set -o xtrace
+
+cd "$(dirname "$0")"
 
 unset LC_CTYPE
 unset LANG
diff --git a/gpu.sh b/gpu.sh
index d47328a91486b4d3449b9340cf71919d2a9e8850..f6ee3f0fc85f50f6bde36307afcc7451d56d7767 100644 (file)
--- a/gpu.sh
+++ b/gpu.sh
@@ -1,9 +1,13 @@
-#!/bin/bash
+#!/usr/bin/env bash
 
 # SPDX-License-Identifier: MIT
 
-set -x
-set -e
+set -o errexit
+set -o nounset
+set -o pipefail
+set -o xtrace
+
+cd "$(dirname "$0")"
 
 unset LC_CTYPE
 unset LANG
Impressum, Datenschutz